Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QKeyEvent

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QEvent
                      com.trolltech.qt.gui.QInputEvent
                          com.trolltech.qt.gui.QKeyEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QKeyEvent

extends QInputEvent

The QKeyEvent class describes a key event. Key events are sent to the widget with keyboard input focus when keys are pressed or released.

A key event contains a special accept flag that indicates whether the receiver will handle the key event. You should call `ignore()` if the key press or release event is not handled by your widget. A key event is propagated up the parent widget chain until a widget accepts it with `accept()` or an event filter consumes it. Key events for multimedia keys are ignored by default. You should call `accept()` if your widget handles those events.

The QWidget::setEnable() function can be used to enable or disable mouse and keyboard events for a widget.

The event handlers `QWidget::keyPressEvent()` and `QWidget::keyReleaseEvent()` receive key events.

See also:
  `QFocusEvent`, and `QWidget::grabKeyboard()`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QKeyEvent(QEvent.Type type, int key, Qt.KeyboardModifiers modifiers)` Constructs a key event object.
`QKeyEvent(QEvent.Type type, int key, Qt.KeyboardModifiers modifiers, java.lang.String text)` Constructs a key event object.
`QKeyEvent(QEvent.Type type, int key, Qt.KeyboardModifiers modifiers, java.lang.String text, boolean autorep)` Constructs a key event object.
`QKeyEvent(QEvent.Type type, int key, Qt.KeyboardModifiers modifiers, java.lang.String text, boolean autorep, char count)` Constructs a key event object.

Method Summary
`protected int` | `autor()`
`protected char` | `c()`
`int` | `count()` Returns the number of keys involved in this event.
`boolean` | `isAutoRepeat()` Returns true if this event comes from an auto-repeating key; returns false if it comes from an initial key press.
`protected int` | `k()`
`int` | `key()` Returns the code of the key that was pressed or released.
`boolean` | `matches(QKeySequence.StandardKey key)` Returns true if the key event matches the given standard `key`; otherwise returns false.
`int` | `nativeModifiers()` Returns the native modifiers of a key event.
`int` | `nativeScanCode()` Returns the native scan code of the key event.
`int` | `nativeVirtualKey()` Returns the native virtual key, or key sym of the key event.
`protected void` | `setAutor(int autor)`
`protected void` | `setC(char c)`
`protected void` | `setK(int k)`
`protected void` | `setTxt(java.lang.String txt)`
`java.lang.String` | `text()` Returns the Unicode text that this key generated.
`java.lang.String` | `toString()` Returns a string representation of the `this QKeyEvent`.
`protected java.lang.String` | `txt()`

Methods inherited from class com.trolltech.qt.gui.QInputEvent
`modifiers, modState, setModState, setModState`

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QKeyEvent

    public QKeyEvent(QEvent.Type type,
                     int key,
                     Qt.KeyboardModifiers modifiers,
                     java.lang.String text,
                     boolean autorep)

  Constructs a key event object.

  The `type` parameter must be `QEvent::KeyPress` , `QEvent::KeyRelease` , or `QEvent::ShortcutOverride` .

  If `key` is 0, the event is not a result of a known key; for example, it may be the result of a compose sequence or keyboard macro. The `modifiers` holds the keyboard modifiers, and the given `text` is the Unicode text that the key generated. If `autorep` is true, `isAutoRepeat()` will be true. `count` is the number of keys involved in the event.

### QKeyEvent

    public QKeyEvent(QEvent.Type type,
                     int key,
                     Qt.KeyboardModifiers modifiers,
                     java.lang.String text)

  Constructs a key event object.

  The `type` parameter must be `QEvent::KeyPress` , `QEvent::KeyRelease` , or `QEvent::ShortcutOverride` .

  If `key` is 0, the event is not a result of a known key; for example, it may be the result of a compose sequence or keyboard macro. The `modifiers` holds the keyboard modifiers, and the given `text` is the Unicode text that the key generated. If `autorep` is true, `isAutoRepeat()` will be true. `count` is the number of keys involved in the event.

### QKeyEvent

    public QKeyEvent(QEvent.Type type,
                     int key,
                     Qt.KeyboardModifiers modifiers)

  Constructs a key event object.

  The `type` parameter must be `QEvent::KeyPress` , `QEvent::KeyRelease` , or `QEvent::ShortcutOverride` .

  If `key` is 0, the event is not a result of a known key; for example, it may be the result of a compose sequence or keyboard macro. The `modifiers` holds the keyboard modifiers, and the given `text` is the Unicode text that the key generated. If `autorep` is true, `isAutoRepeat()` will be true. `count` is the number of keys involved in the event.

### QKeyEvent

    public QKeyEvent(QEvent.Type type,
                     int key,
                     Qt.KeyboardModifiers modifiers,
                     java.lang.String text,
                     boolean autorep,
                     char count)

  Constructs a key event object.

  The `type` parameter must be `QEvent::KeyPress` , `QEvent::KeyRelease` , or `QEvent::ShortcutOverride` .

  If `key` is 0, the event is not a result of a known key; for example, it may be the result of a compose sequence or keyboard macro. The `modifiers` holds the keyboard modifiers, and the given `text` is the Unicode text that the key generated. If `autorep` is true, `isAutoRepeat()` will be true. `count` is the number of keys involved in the event.

Method Detail

### count

    public final int count()

  Returns the number of keys involved in this event. If `text()` is not empty, this is simply the length of the string.

See also:
  `Qt::WA_KeyCompression` .

### isAutoRepeat

    public final boolean isAutoRepeat()

  Returns true if this event comes from an auto-repeating key; returns false if it comes from an initial key press.

  Note that if the event is a multiple-key compressed event that is partly due to auto-repeat, this function could return either true or false indeterminately.

### key

    public final int key()

  Returns the code of the key that was pressed or released.

  See `Qt::Key` for the list of keyboard codes. These codes are independent of the underlying window system. Note that this function does not distinguish between capital and non-capital letters, use the `text()` function (returning the Unicode text the key generated) for this purpose.

  A value of either 0 or `Qt::Key_unknown` means that the event is not the result of a known key; for example, it may be the result of a compose sequence, a keyboard macro, or due to key event compression.

See also:
  `Qt::WA_KeyCompression` .

### matches

    public final boolean matches(QKeySequence.StandardKey key)

  Returns true if the key event matches the given standard `key`; otherwise returns false.

### nativeModifiers

    public final int nativeModifiers()

  Returns the native modifiers of a key event. If the key event does not contain this data 0 is returned.

  Note: The native modifiers may be 0, even if the key event contains extended information.

### nativeScanCode

    public final int nativeScanCode()

  Returns the native scan code of the key event. If the key event does not contain this data 0 is returned.

  Note: The native scan code may be 0, even if the key event contains extended information.

  Note: On Mac OS/X, this function is not useful, because there is no way to get the scan code from Carbon or Cocoa. The function always returns 1 (or 0 in the case explained above).

### nativeVirtualKey

    public final int nativeVirtualKey()

  Returns the native virtual key, or key sym of the key event. If the key event does not contain this data 0 is returned.

  Note: The native virtual key may be 0, even if the key event contains extended information.

### text

    public final java.lang.String text()

  Returns the Unicode text that this key generated. The text returned can be an empty string in cases where modifier keys, such as Shift, Control, Alt, and Meta, are being pressed or released. In such cases `key()` will contain a valid value.

See also:
  `Qt::WA_KeyCompression` .

### setK

    protected final void setK(int k)

### k

    protected final int k()

### setTxt

    protected final void setTxt(java.lang.String txt)

### txt

    protected final java.lang.String txt()

### setC

    protected final void setC(char c)

### c

    protected final char c()

### setAutor

    protected final void setAutor(int autor)

### autor

    protected final int autor()

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QKeyEvent`.

  Overrides:
    `toString` in class `QInputEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD